> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/recurring-payin-registrations/create-recurring-payin-registration/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Create a Recurring PayIn Registration POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/recurringpayinregistrations Content-Type: application/json Register a series of recurring payment requests for the following payment methods (indicated by `PaymentType`): | PaymentType | Requires | Captured using | | ----------------------- | ----------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- | | `CARD_DIRECT` (default) | Tokenized `CardId` obtained from the card registration process. | [Create a Recurring Card PayIn (CIT or MIT)](/api-reference/recurring-card-payins/create-recurring-card-payin) | | `APPLEPAY` | Tokenized `PaymentData` object retrieved from the Apple Pay API. | [Create a Recurring Apple Pay PayIn](/api-reference/apple-pay/create-recurring-apple-pay-payin) | | `GOOGLE_PAY` | Tokenized `PaymentData` string retrieved from the Google Pay API. | [Create a Recurring Google Pay PayIn](/api-reference/google-pay/create-recurring-google-pay-payin) | | `PAYPAL` | No prerequisites. | [Create a Recurring PayPal PayIn (CIT or MIT)](/api-reference/paypal/create-recurring-paypal-payin) | **Note – Only one registration per user on PayPal** On PayPal, only one recurring pay-in registration can be used per `UserId`. You can [end a user's existing registration](/api-reference/recurring-payin-registrations/update-recurring-payin-registration) object to create a new one with the same user. This restriction does not apply to other payment methods. Reference: https://docs.mangopay.com/api-reference/recurring-payin-registrations/create-recurring-payin-registration ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Body (application/json) This endpoint expects a CreateARecurringPayInRegistrationRequest. - `CreateARecurringPayInRegistrationRequest` ## Response ### 200 Success - `RecurringPayInRegistrationResponse` ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### CreateARecurringPayInRegistrationCardRequest Request body for card recurring pay-in registrations, using a tokenized `CardId`. - `AuthorId` (string, required) — The unique identifier of the user at the source of the transaction. - `CreditedWalletId` (string, required) — The unique identifier of the credited wallet. - `FirstTransactionDebitedFunds` (CreateARecurringPayInRegistrationCardRequestFirstTransactionDebitedFunds, required) — The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `FirstTransactionFees` (CreateARecurringPayInRegistrationCardRequestFirstTransactionFees, required) — The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `CardId` (string, required) — The unique identifier of the Card object, obtained during the card registration process. - `FlowDescriptor` (FlowDescriptorRequest, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `Billing` (Billing_DefaultsShippingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `NextTransactionDebitedFunds` (CreateARecurringPayInRegistrationCardRequestNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `NextTransactionFees` (CreateARecurringPayInRegistrationCardRequestNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `ProfilingAttemptReference` (string, optional) — The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data. **Note:** Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information. - `EndDate` (integer, optional) — The date and time at which the recurring pay-ins will end. This value has no impact on the recurring registration `Status`. **Caution:** If the `EndDate` is left unspecified, please bear in mind that one could be defined by default and be displayed to your end users (not taken into account in the payment recurrence). - `FixedNextAmount` (boolean, optional) — Whether or not the recurring pay-ins' debited amounts remain the same for all the pay-ins linked to the recurring registration object. - `Frequency` (string, optional) — **Allowed values:** `Daily`, `Weekly`, `TwiceAMonth`, `Monthly`, `Bimonthly`, `Quarterly`, `Semiannual`, `Annual`, `Biannual` The frequency at which the recurring pay-ins will occur: - `Daily` – 1 transaction per day. - `Weekly` – 1 transaction every 7 days. - `TwiceAMonth` – 2 transactions per month. - `Monthly` – 1 transaction per month. - `Bimonthly` – 1 transaction every 2 months. - `Quarterly` – 1 transaction every 3 months. - `Semiannual` – 1 transaction every 6 months. - `Annual` – 1 transaction per year. - `Biannual` – 1 transaction every 2 years. - `FractionedPayment` (boolean, optional) — Whether or not the recurring pay-ins are being made to split a payment in several installments. - `FreeCycles` (integer, optional) — The number of initial consecutive pay-ins where there will be no debited funds nor fees. This value cannot exceed the `CycleNumber` value (for recurring objects with an `EndDate`, `FixedNextAmount`, and `Frequency`). **Note:** When creating a recurring pay-in (CIT or MIT) for a pay-in subject to a free cycle, the `DebitedFunds` and `Fees` parameters cannot be sent. - `Migration` (boolean, optional) — Whether or not to attempt the first recurring pay-in as a merchant-initiated transaction (MIT). **Caution:** Migration is no longer supported. You can only use objects with `Migration` set to `false`. When Mangopay decommissions this parameter (date communicated by email), the `false` value will be forced on all objects, including existing ones. Before decommissioning, you need to re-create the object; after decommissioning, you can re-authenticate the same object. The need to re-authenticate may be indicated by the `Status` changing to `AUTHENTICATION_NEEDED` or by errors on the pay-in request, for example: non-existent card account (008008), soft decline (101305), expired card (101105), or stolen card (008003). - `PaymentType` (string, optional) — **Allowed values:** `CARD_DIRECT` **Default value:** `CARD_DIRECT` Optional on create. If omitted, defaults to `CARD_DIRECT`. The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. ### CreateARecurringPayInRegistrationApplePayRequest Request body for Apple Pay recurring pay-in registrations, using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `AuthorId` (string, required) — The unique identifier of the user at the source of the transaction. - `CreditedWalletId` (string, required) — The unique identifier of the credited wallet. - `FirstTransactionDebitedFunds` (CreateARecurringPayInRegistrationApplePayRequestFirstTransactionDebitedFunds, required) — The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `FirstTransactionFees` (CreateARecurringPayInRegistrationApplePayRequestFirstTransactionFees, required) — The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `PaymentData` (PaymentData_ApplePay, required) — The data returned by Apple Pay containing information about the payment. - `PaymentType` (string, required) — **Allowed values:** `APPLEPAY` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. - `FlowDescriptor` (FlowDescriptorRequest, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `Billing` (Billing_DefaultsShippingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `NextTransactionDebitedFunds` (CreateARecurringPayInRegistrationApplePayRequestNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `NextTransactionFees` (CreateARecurringPayInRegistrationApplePayRequestNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `ProfilingAttemptReference` (string, optional) — The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data. **Note:** Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information. - `EndDate` (integer, optional) — The date and time at which the recurring pay-ins will end. This value has no impact on the recurring registration `Status`. **Caution:** If the `EndDate` is left unspecified, please bear in mind that one could be defined by default and be displayed to your end users (not taken into account in the payment recurrence). - `FixedNextAmount` (boolean, optional) — Whether or not the recurring pay-ins' debited amounts remain the same for all the pay-ins linked to the recurring registration object. - `Frequency` (string, optional) — **Allowed values:** `Daily`, `Weekly`, `TwiceAMonth`, `Monthly`, `Bimonthly`, `Quarterly`, `Semiannual`, `Annual`, `Biannual` The frequency at which the recurring pay-ins will occur: - `Daily` – 1 transaction per day. - `Weekly` – 1 transaction every 7 days. - `TwiceAMonth` – 2 transactions per month. - `Monthly` – 1 transaction per month. - `Bimonthly` – 1 transaction every 2 months. - `Quarterly` – 1 transaction every 3 months. - `Semiannual` – 1 transaction every 6 months. - `Annual` – 1 transaction per year. - `Biannual` – 1 transaction every 2 years. - `FractionedPayment` (boolean, optional) — Whether or not the recurring pay-ins are being made to split a payment in several installments. - `FreeCycles` (integer, optional) — The number of initial consecutive pay-ins where there will be no debited funds nor fees. This value cannot exceed the `CycleNumber` value (for recurring objects with an `EndDate`, `FixedNextAmount`, and `Frequency`). **Note:** When creating a recurring pay-in (CIT or MIT) for a pay-in subject to a free cycle, the `DebitedFunds` and `Fees` parameters cannot be sent. ### CreateARecurringPayInRegistrationGooglePayRequest Request body for Google Pay recurring pay-in registrations, using the tokenized `PaymentData` string retrieved from the Google Pay API. - `AuthorId` (string, required) — The unique identifier of the user at the source of the transaction. - `CreditedWalletId` (string, required) — The unique identifier of the credited wallet. - `FirstTransactionDebitedFunds` (CreateARecurringPayInRegistrationGooglePayRequestFirstTransactionDebitedFunds, required) — The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `FirstTransactionFees` (CreateARecurringPayInRegistrationGooglePayRequestFirstTransactionFees, required) — The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `PaymentData` (string, required) — The data returned by Google Pay containing information about the payment. - `PaymentType` (string, required) — **Allowed values:** `GOOGLE_PAY` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. - `FlowDescriptor` (FlowDescriptorRequest, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `Billing` (Billing_DefaultsShippingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `NextTransactionDebitedFunds` (CreateARecurringPayInRegistrationGooglePayRequestNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `NextTransactionFees` (CreateARecurringPayInRegistrationGooglePayRequestNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `ProfilingAttemptReference` (string, optional) — The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data. **Note:** Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information. - `EndDate` (integer, optional) — The date and time at which the recurring pay-ins will end. This value has no impact on the recurring registration `Status`. **Caution:** If the `EndDate` is left unspecified, please bear in mind that one could be defined by default and be displayed to your end users (not taken into account in the payment recurrence). - `Frequency` (string, optional) — **Allowed values:** `Daily`, `Weekly`, `TwiceAMonth`, `Monthly`, `Bimonthly`, `Quarterly`, `Semiannual`, `Annual`, `Biannual` The frequency at which the recurring pay-ins will occur: - `Daily` – 1 transaction per day. - `Weekly` – 1 transaction every 7 days. - `TwiceAMonth` – 2 transactions per month. - `Monthly` – 1 transaction per month. - `Bimonthly` – 1 transaction every 2 months. - `Quarterly` – 1 transaction every 3 months. - `Semiannual` – 1 transaction every 6 months. - `Annual` – 1 transaction per year. - `Biannual` – 1 transaction every 2 years. - `FixedNextAmount` (boolean, optional) — Whether or not the recurring pay-ins' debited amounts remain the same for all the pay-ins linked to the recurring registration object. - `FractionedPayment` (boolean, optional) — Whether or not the recurring pay-ins are being made to split a payment in several installments. - `FreeCycles` (integer, optional) — The number of initial consecutive pay-ins where there will be no debited funds nor fees. This value cannot exceed the `CycleNumber` value (for recurring objects with an `EndDate`, `FixedNextAmount`, and `Frequency`). **Note:** When creating a recurring pay-in (CIT or MIT) for a pay-in subject to a free cycle, the `DebitedFunds` and `Fees` parameters cannot be sent. ### CreateARecurringPayInRegistrationPayPalRequest Request body for PayPal recurring pay-in registrations, redirecting the user to authenticate via PayPal. Note that for PayPal: - Only one active `PAYPAL` registration object can exist for a user. - You can use `NextTransactionDebitedFunds` and `NextTransactionFees` in the registration (and therefore omit them from MIT pay-in requests). The `RecurringType` is always `CUSTOM`, and the `FixedNextAmount` parameter is not supported. - The `FreeCycles` property is not supported. - `AuthorId` (string, required) — The unique identifier of the user at the source of the transaction. - `CreditedWalletId` (string, required) — The unique identifier of the credited wallet. - `FirstTransactionDebitedFunds` (CreateARecurringPayInRegistrationPayPalRequestFirstTransactionDebitedFunds, required) — The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `FirstTransactionFees` (CreateARecurringPayInRegistrationPayPalRequestFirstTransactionFees, required) — The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `PaymentType` (string, required) — **Allowed values:** `PAYPAL` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. - `FlowDescriptor` (FlowDescriptorRequest, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `Billing` (Billing_DefaultsShippingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Request, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `NextTransactionDebitedFunds` (CreateARecurringPayInRegistrationPayPalRequestNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `NextTransactionFees` (CreateARecurringPayInRegistrationPayPalRequestNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `ProfilingAttemptReference` (string, optional) — The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data. **Note:** Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information. ### RecurringPayInRegistrationCardResponse Response object for card recurring pay-in registrations. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `CREATED`, `AUTHENTICATION_NEEDED`, `IN_PROGRESS`, `ENDED` The status of the recurring registration: - `CREATED` – The recurring registration was created, but no recurring pay-in has yet been made. - `AUTHENTICATION_NEEDED` – The latest recurring pay-in linked to the registration object was refused. The registration object can still be used, but you need to execute a new customer-initiated transaction (CIT) for the end user to reauthenticate. - `IN_PROGRESS` – The recurring registration object is in use and the subsequent corresponding recurring pay-ins can be made. - `ENDED` – The recurrence ended: the registration can no longer be modified nor reused. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `CurrentState` (RecurringPayInRegistrationCardResponseCurrentState, optional) — Information about the recurring pay-ins related to the registration object. **Note:** If the `LastPayinId` references a transaction older than 13 months, it may have been archived. - `RecurringType` (string, optional) — **Returned values:** `CLASSIC_SUBSCRIPTION`, `FRACTIONED_PAYMENT`, `CUSTOM` The type of recurrence, which can be one of the following: - `CLASSIC_SUBSCRIPTION` – For fixed-amount subscriptions. The `Amount` of each pay-in and the subscription's `EndDate` are known, and these values cannot be modified during the recurrence. - `FRACTIONED_PAYMENT` – For payments in 3 or 4 times. The `Amount` of each pay-in and the registration's `EndDate` are known, and these values cannot be modified during the recurrence. - `CUSTOM` – For recurring registrations where the `Amount` and `EndDate` are unknown. - `TotalAmount` (RecurringPayInRegistrationCardResponseTotalAmount, optional) — Information about the total amount. This value is automatically calculated based on the `EndDate`, `FixedNextAmount`, and `Frequency` parameters (if defined). - `CycleNumber` (integer, optional) — The number of cycles in the registration (and therefore the number of payments). This value is automatically calculated based on the `EndDate`, `FixedNextAmount`, and `Frequency` parameters (if defined). - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `CardId` (string, optional) — The unique identifier of the Card object, obtained during the card registration process. - `CreditedUserId` (string, optional) — **Default value:** The unique identifier of the owner of the credited wallet. The unique identifier of the user whose wallet is credited. - `FlowDescriptor` (FlowDescriptorResponse, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet. - `Billing` (Billing_DefaultsShippingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `EndDate` (integer, optional) — Unix timestamp (UTC) of the date and time the recurring pay-ins will end. This value has no impact on the recurring registration `Status`. **Caution:** If the `EndDate` is left unspecified, please bear in mind that one could be defined by default and be displayed to your end users (not taken into account in the payment recurrence). - `Frequency` (string, optional) — **Returned values:** `Daily`, `Weekly`, `TwiceAMonth`, `Monthly`, `Bimonthly`, `Quarterly`, `Semiannual`, `Annual`, `Biannual` The frequency at which the recurring pay-ins will occur: - `Daily` – 1 transaction per day. - `Weekly` – 1 transaction every 7 days. - `TwiceAMonth` – 2 transactions per month. - `Monthly` – 1 transaction per month. - `Bimonthly` – 1 transaction every 2 months. - `Quarterly` – 1 transaction every 3 months. - `Semiannual` – 1 transaction every 6 months. - `Annual` – 1 transaction per year. - `Biannual` – 1 transaction every 2 years. - `FixedNextAmount` (boolean, optional) — Whether or not the recurring pay-ins' debited amounts remain the same for all the pay-ins linked to the recurring registration object. - `FractionedPayment` (boolean, optional) — Whether or not the recurring pay-ins are being made to split a payment in several installments. - `FreeCycles` (integer, optional) — The number of initial consecutive pay-ins where there will be no debited funds nor fees. This value cannot exceed the `CycleNumber` value (for recurring objects with an `EndDate`, `FixedNextAmount`, and `Frequency`). **Note:** When creating a recurring pay-in (CIT or MIT) for a pay-in subject to a free cycle, the `DebitedFunds` and `Fees` parameters cannot be sent. - `FirstTransactionDebitedFunds` (RecurringPayInRegistrationCardResponseFirstTransactionDebitedFunds, optional) — The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds` - `FirstTransactionFees` (RecurringPayInRegistrationCardResponseFirstTransactionFees, optional) — The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `NextTransactionDebitedFunds` (RecurringPayInRegistrationCardResponseNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are `true`, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `NextTransactionFees` (RecurringPayInRegistrationCardResponseNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `Migration` (boolean, optional) — Whether or not to attempt the first recurring pay-in as a merchant-initiated transaction (MIT). **Caution:** Migration is no longer supported. You can only use objects with `Migration` set to `false`. When Mangopay decommissions this parameter (date communicated by email), the `false` value will be forced on all objects, including existing ones. Before decommissioning, you need to re-create the object; after decommissioning, you can re-authenticate the same object. The need to re-authenticate may be indicated by the `Status` changing to `AUTHENTICATION_NEEDED` or by errors on the pay-in request, for example: non-existent card account (008008), soft decline (101305), expired card (101105), or stolen card (008003). - `PaymentType` (string, optional) — **Returned values:** `CARD_DIRECT` **Default value:** `CARD_DIRECT` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. ### RecurringPayInRegistrationPayPalResponse Response object for PayPal recurring pay-in registrations. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `CREATED`, `AUTHENTICATION_NEEDED`, `IN_PROGRESS`, `ENDED` The status of the recurring registration for PayPal: - `CREATED` – The recurring registration was created, but no recurring pay-in has yet been made. - `AUTHENTICATION_NEEDED` – A customer-initiated transaction (CIT) has been initiated against the registration but not authenticated. Note that there is no re-authentication process with PayPal: this status is only returned after the CIT is initiated but not yet successful. - `IN_PROGRESS` – The CIT was successful and subsequent merchant-initiated transactions (MIT) can be requested. - `ENDED` – The registration can no longer be modified nor reused. A new one can be created for the same user. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `CurrentState` (RecurringPayInRegistrationPayPalResponseCurrentState, optional) — Information about the recurring pay-ins related to the registration object. **Note:** If the `LastPayinId` references a transaction older than 13 months, it may have been archived. - `RecurringType` (string, optional) — **Returned values:** `CUSTOM` For PayPal recurring registrations, this value is always `CUSTOM`. - `TotalAmount` (any, optional) — For PayPal recurring registrations, this value is returned `null`. - `CycleNumber` (any, optional) — For PayPal recurring registrations, this value is returned `null`. - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `CardId` (any, optional) — For PayPal recurring registrations, this value is returned `null`. - `CreditedUserId` (string, optional) — **Default value:** The unique identifier of the owner of the credited wallet. The unique identifier of the user whose wallet is credited. - `FlowDescriptor` (FlowDescriptorResponse, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet. - `Billing` (Billing_DefaultsShippingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `EndDate` (any, optional) — For PayPal recurring registrations, this value is returned `null`. - `Frequency` (any, optional) — For PayPal recurring registrations, this value is returned `null`. - `FixedNextAmount` (boolean, optional) — For PayPal recurring registrations, this value is ignored if sent and automatically returned `false`. However, you can specify `NextTransactionDebitedFunds` and `NextTransactionFees` to set up a fixed-amount recurrence. - `FractionedPayment` (any, optional) — For PayPal recurring registrations, this value is returned `null`. - `FreeCycles` (integer, optional) — For PayPal recurring registrations, this value is returned `0`. - `FirstTransactionDebitedFunds` (RecurringPayInRegistrationPayPalResponseFirstTransactionDebitedFunds, optional) — The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds` - `FirstTransactionFees` (RecurringPayInRegistrationPayPalResponseFirstTransactionFees, optional) — The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `NextTransactionDebitedFunds` (RecurringPayInRegistrationPayPalResponseNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are `true`, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `NextTransactionFees` (RecurringPayInRegistrationPayPalResponseNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `PaymentType` (string, optional) — **Returned values:** `PAYPAL` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. - `Migration` (boolean, optional, deprecated) — For PayPal recurring registrations, this value is returned `false`. ### RecurringPayInRegistrationApplePayResponse Response object for Apple Pay recurring pay-in registrations. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `CREATED`, `AUTHENTICATION_NEEDED`, `IN_PROGRESS`, `ENDED` The status of the recurring registration: - `CREATED` – The recurring registration was created, but no recurring pay-in has yet been made. - `AUTHENTICATION_NEEDED` – The latest recurring pay-in linked to the registration object was refused. The registration object can still be used, but you need to execute a new customer-initiated transaction (CIT) for the end user to reauthenticate. - `IN_PROGRESS` – The recurring registration object is in use and the subsequent corresponding recurring pay-ins can be made. - `ENDED` – The recurrence ended: the registration can no longer be modified nor reused. - `CurrentState` (RecurringPayInRegistrationApplePayResponseCurrentState, optional) — Information about the recurring pay-ins related to the registration object. **Note:** If the LastPayinId references a transaction older than 13 months, it may have been archived. - `RecurringType` (string, optional) - `TotalAmount` (RecurringPayInRegistrationApplePayResponseTotalAmount, optional) - `CycleNumber` (integer, optional) - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `CreditedUserId` (string, optional) — **Default value:** The unique identifier of the owner of the credited wallet. The unique identifier of the user whose wallet is credited. - `FlowDescriptor` (FlowDescriptorResponse, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet. - `Billing` (Billing_DefaultsShippingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `EndDate` (integer, optional) — The date and time at which the recurring pay-ins will end. This value has no impact on the recurring registration Status. **Caution:** If the EndDate is left unspecified, please bear in mind that one could be defined by default and be displayed to your end users (not taken into account in the payment recurrence). - `Frequency` (string, optional) — **Returned values:** `Daily`, `Weekly`, `TwiceAMonth`, `Monthly`, `Bimonthly`, `Quarterly`, `Semiannual`, `Annual`, `Biannual` The frequency at which the recurring pay-ins will occur: - `Daily` – 1 transaction per day. - `Weekly` – 1 transaction every 7 days. - `TwiceAMonth` – 2 transactions per month. - `Monthly` – 1 transaction per month. - `Bimonthly` – 1 transaction every 2 months. - `Quarterly` – 1 transaction every 3 months. - `Semiannual` – 1 transaction every 6 months. - `Annual` – 1 transaction per year. - `Biannual` – 1 transaction every 2 years. - `FixedNextAmount` (boolean, optional) — Whether or not the recurring pay-ins' debited amounts remain the same for all the pay-ins linked to the recurring registration object. - `FractionedPayment` (boolean, optional) — Whether or not the recurring pay-ins are being made to split a payment in several installments. - `FreeCycles` (integer, optional) — The number of initial consecutive pay-ins where there will be no debited funds nor fees. This value cannot exceed the CycleNumber value (for recurring objects with an EndDate, FixedNextAmount, and Frequency). **Note:** When creating a recurring pay-in (CIT or MIT) for a pay-in subject to a free cycle, the DebitedFunds and Fees parameters cannot be sent. - `FirstTransactionDebitedFunds` (RecurringPayInRegistrationApplePayResponseFirstTransactionDebitedFunds, optional) — The amount of the first recurring pay-in. - `FirstTransactionFees` (RecurringPayInRegistrationApplePayResponseFirstTransactionFees, optional) — The fees of the first recurring pay-in. - `NextTransactionDebitedFunds` (RecurringPayInRegistrationApplePayResponseNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. - `NextTransactionFees` (RecurringPayInRegistrationApplePayResponseNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `Migration` (boolean, optional) - `ProfilingAttemptReference` (string, optional) — The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data. **Note:** Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information. - `PaymentType` (string, optional) — **Returned values:** `APPLEPAY` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `CardInfo` (CardInfo, optional) — Information about the card used for the transaction. If the information or data is not available, `null` is returned. ### RecurringPayInRegistrationGooglePayResponse Response object for Google Pay recurring pay-in registrations. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `CREATED`, `AUTHENTICATION_NEEDED`, `IN_PROGRESS`, `ENDED` The status of the recurring registration: - `CREATED` – The recurring registration was created, but no recurring pay-in has yet been made. - `AUTHENTICATION_NEEDED` – The latest recurring pay-in linked to the registration object was refused. The registration object can still be used, but you need to execute a new customer-initiated transaction (CIT) for the end user to reauthenticate. - `IN_PROGRESS` – The recurring registration object is in use and the subsequent corresponding recurring pay-ins can be made. - `ENDED` – The recurrence ended: the registration can no longer be modified nor reused. - `CurrentState` (RecurringPayInRegistrationGooglePayResponseCurrentState, optional) — Information about the recurring pay-ins related to the registration object. **Note:** If the LastPayinId references a transaction older than 13 months, it may have been archived. - `RecurringType` (string, optional) - `TotalAmount` (RecurringPayInRegistrationGooglePayResponseTotalAmount, optional) - `CycleNumber` (integer, optional) - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `CreditedUserId` (string, optional) — **Default value:** The unique identifier of the owner of the credited wallet. The unique identifier of the user whose wallet is credited. - `FlowDescriptor` (FlowDescriptorResponse, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet. - `Billing` (Billing_DefaultsShippingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `EndDate` (integer, optional) — The date and time at which the recurring pay-ins will end. This value has no impact on the recurring registration Status. **Caution:** If the EndDate is left unspecified, please bear in mind that one could be defined by default and be displayed to your end users (not taken into account in the payment recurrence). - `Frequency` (string, optional) — **Returned values:** `Daily`, `Weekly`, `TwiceAMonth`, `Monthly`, `Bimonthly`, `Quarterly`, `Semiannual`, `Annual`, `Biannual` The frequency at which the recurring pay-ins will occur: - `Daily` – 1 transaction per day. - `Weekly` – 1 transaction every 7 days. - `TwiceAMonth` – 2 transactions per month. - `Monthly` – 1 transaction per month. - `Bimonthly` – 1 transaction every 2 months. - `Quarterly` – 1 transaction every 3 months. - `Semiannual` – 1 transaction every 6 months. - `Annual` – 1 transaction per year. - `Biannual` – 1 transaction every 2 years. - `FixedNextAmount` (boolean, optional) — Whether or not the recurring pay-ins' debited amounts remain the same for all the pay-ins linked to the recurring registration object. - `FractionedPayment` (boolean, optional) — Whether or not the recurring pay-ins are being made to split a payment in several installments. - `FreeCycles` (integer, optional) — The number of initial consecutive pay-ins where there will be no debited funds nor fees. This value cannot exceed the CycleNumber value (for recurring objects with an EndDate, FixedNextAmount, and Frequency). **Note:** When creating a recurring pay-in (CIT or MIT) for a pay-in subject to a free cycle, the DebitedFunds and Fees parameters cannot be sent. - `FirstTransactionDebitedFunds` (RecurringPayInRegistrationGooglePayResponseFirstTransactionDebitedFunds, optional) — The amount of the first recurring pay-in. - `FirstTransactionFees` (RecurringPayInRegistrationGooglePayResponseFirstTransactionFees, optional) — The fees of the first recurring pay-in. - `NextTransactionDebitedFunds` (RecurringPayInRegistrationGooglePayResponseNextTransactionDebitedFunds, optional) — The amount of the subsequent recurring pay-ins. - `NextTransactionFees` (RecurringPayInRegistrationGooglePayResponseNextTransactionFees, optional) — The fees of the subsequent recurring pay-ins. - `Migration` (boolean, optional) - `ProfilingAttemptReference` (string, optional) — The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data. **Note:** Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information. - `PaymentType` (string, optional) — **Returned values:** `GOOGLE_PAY` The type of recurring pay-in registration (which must correspond to the pay-ins requested against it): - `CARD_DIRECT` – Card payments using a tokenized `CardId`. - `APPLEPAY` – Apple Pay payments using the tokenized `PaymentData` object retrieved from the Apple Pay API. - `GOOGLE_PAY` – Google Pay payments using the tokenized `PaymentData` string retrieved from the Google Pay API. - `PAYPAL` – PayPal payments, redirecting the user to authenticate via PayPal. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `CardInfo` (CardInfo, optional) — Information about the card used for the transaction. If the information or data is not available, `null` is returned. ### CreateARecurringPayInRegistrationCardRequestFirstTransactionDebitedFunds The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationCardRequestFirstTransactionFees The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### FlowDescriptorRequest Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `Beneficiaries` (list of FlowDescriptorRequestBeneficiariesItems, optional, nullable) — Max. length: 5 items The list of up to 5 Natural or Legal Users declared as beneficiaries of the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made. The pay-in also fails if the `Beneficiaries` array contains nulled objects or invalid `UserId` values. ### Billing_DefaultsShippingUser_Request **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `FirstName` (string, optional) — The first name of the user. - `LastName` (string, optional) — The last name of the user. - `Address` (Address_SubPropsRequired, optional) — The postal address. ### Shipping_DefaultsBillingUser_Request **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `FirstName` (string, optional) — The first name of the user. - `LastName` (string, optional) — The last name of the user. - `Address` (Address_SubPropsRequired, optional) — The postal address. ### CreateARecurringPayInRegistrationCardRequestNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationCardRequestNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationApplePayRequestFirstTransactionDebitedFunds The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationApplePayRequestFirstTransactionFees The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### PaymentData_ApplePay The data returned by Apple Pay containing information about the payment. - `TokenData` (string, required) — The encrypted string for the payment request. - `TransactionId` (string, required) — Apple Pay's unique identifier of the payment. - `Network` (string, required) — **Returned values:** MasterCard, Visa, CartesBancaires The payment network used for the payment request, as resolved by Apple Pay. The pay-in's `PreferredCardNetwork` property does not apply to Apple Pay. ### CreateARecurringPayInRegistrationApplePayRequestNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationApplePayRequestNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationGooglePayRequestFirstTransactionDebitedFunds The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationGooglePayRequestFirstTransactionFees The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationGooglePayRequestNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationGooglePayRequestNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationPayPalRequestFirstTransactionDebitedFunds The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds``. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationPayPalRequestFirstTransactionFees The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationPayPalRequestNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are true, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateARecurringPayInRegistrationPayPalRequestNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationCardResponseCurrentState Information about the recurring pay-ins related to the registration object. **Note:** If the `LastPayinId` references a transaction older than 13 months, it may have been archived. - `PayinsLinked` (integer, optional) — The number of recurring pay-ins already made for the registration object. - `CumulatedDebitedAmount` (RecurringPayInRegistrationCardResponseCurrentStateCumulatedDebitedAmount, optional) — Information about the cumulated debited funds amount. - `CumulatedFeesAmount` (RecurringPayInRegistrationCardResponseCurrentStateCumulatedFeesAmount, optional) — Information about the cumulated fees amount. - `LastPayinId` (string, optional) — The unique identifier of the last recurring pay-in made for the registration. ### RecurringPayInRegistrationCardResponseTotalAmount Information about the total amount. This value is automatically calculated based on the `EndDate`, `FixedNextAmount`, and `Frequency` parameters (if defined). - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### FlowDescriptorResponse Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `FlowId` (string, optional) — Unique identifier of the payment flow, used by Mangopay for internal purposes. - `Beneficiaries` (list of FlowDescriptorResponseBeneficiariesItems, optional, nullable) — Max. length: 5 items The list of up to 5 Natural or Legal Users declared as beneficiaries of the pay-in, who must all be KYC/KYB verified when the pay-in request is made. The pay-in also fails if the `Beneficiaries` array contains nulled objects or invalid `UserId` values. ### Billing_DefaultsShippingUser_Response **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `FirstName` (string, optional) — The first name of the user. - `LastName` (string, optional) — The last name of the user. - `Address` (Address, optional) — The postal address. ### Shipping_DefaultsBillingUser_Response **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `FirstName` (string, optional) — The first name of the user. - `LastName` (string, optional) — The last name of the user. - `Address` (Address_SubPropsRequired, optional) — The postal address. ### RecurringPayInRegistrationCardResponseFirstTransactionDebitedFunds The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds` - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationCardResponseFirstTransactionFees The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationCardResponseNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are `true`, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationCardResponseNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationPayPalResponseCurrentState Information about the recurring pay-ins related to the registration object. **Note:** If the `LastPayinId` references a transaction older than 13 months, it may have been archived. - `PayinsLinked` (integer, optional) — The number of recurring pay-ins already made for the registration object. - `CumulatedDebitedAmount` (RecurringPayInRegistrationPayPalResponseCurrentStateCumulatedDebitedAmount, optional) — Information about the cumulated debited funds amount. - `CumulatedFeesAmount` (RecurringPayInRegistrationPayPalResponseCurrentStateCumulatedFeesAmount, optional) — Information about the cumulated fees amount. - `LastPayinId` (string, optional) — The unique identifier of the last recurring pay-in made for the registration. ### RecurringPayInRegistrationPayPalResponseFirstTransactionDebitedFunds The amount of the first recurring pay-in. This value can be different from the `NextTransactionDebitedFunds` - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationPayPalResponseFirstTransactionFees The fees of the first recurring pay-in. This amount can be different from the `NextTransactionDebitedFunds`. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationPayPalResponseNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. If this field is empty and either `FixedNextAmount` or `FractionedPayment` are `true`, the subsequent amount will be the same as `FirstTransactionDebitedFunds` amount. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationPayPalResponseNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseCurrentState Information about the recurring pay-ins related to the registration object. **Note:** If the LastPayinId references a transaction older than 13 months, it may have been archived. - `PayinsLinked` (integer, optional) — The number of recurring pay-ins already made for the registration object. - `CumulatedDebitedAmount` (RecurringPayInRegistrationApplePayResponseCurrentStateCumulatedDebitedAmount, optional) — The sum of the DebitedFunds amounts of the recurring pay-ins made for the registration. - `CumulatedFeesAmount` (RecurringPayInRegistrationApplePayResponseCurrentStateCumulatedFeesAmount, optional) — The sum of the Fees amounts of the recurring pay-ins made for the registration. - `LastPayinId` (string, optional) — The unique identifier of the last recurring pay-in made for the registration. ### RecurringPayInRegistrationApplePayResponseTotalAmount - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseFirstTransactionDebitedFunds The amount of the first recurring pay-in. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseFirstTransactionFees The fees of the first recurring pay-in. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CardInfo Information about the card used for the transaction. If the information or data is not available, `null` is returned. - `BIN` (string, optional) — The bank identification number (BIN) of the card. - `IssuingBank` (string, optional) — The name of the bank that issued the card. - `IssuerCountryCode` (string, optional) — The country code of the card issuer. - `Type` (string, optional) — The type of card (for example, `CREDIT` or `DEBIT`). - `SubType` (string, optional, nullable) — The sub-type of the card, if available. - `Brand` (string, optional) — The card brand (for example, `VISA` or `MASTERCARD`). ### RecurringPayInRegistrationGooglePayResponseCurrentState Information about the recurring pay-ins related to the registration object. **Note:** If the LastPayinId references a transaction older than 13 months, it may have been archived. - `PayinsLinked` (integer, optional) — The number of recurring pay-ins already made for the registration object. - `CumulatedDebitedAmount` (RecurringPayInRegistrationGooglePayResponseCurrentStateCumulatedDebitedAmount, optional) — The sum of the DebitedFunds amounts of the recurring pay-ins made for the registration. - `CumulatedFeesAmount` (RecurringPayInRegistrationGooglePayResponseCurrentStateCumulatedFeesAmount, optional) — The sum of the Fees amounts of the recurring pay-ins made for the registration. - `LastPayinId` (string, optional) — The unique identifier of the last recurring pay-in made for the registration. ### RecurringPayInRegistrationGooglePayResponseTotalAmount - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationGooglePayResponseFirstTransactionDebitedFunds The amount of the first recurring pay-in. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationGooglePayResponseFirstTransactionFees The fees of the first recurring pay-in. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationGooglePayResponseNextTransactionDebitedFunds The amount of the subsequent recurring pay-ins. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationGooglePayResponseNextTransactionFees The fees of the subsequent recurring pay-ins. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### FlowDescriptorRequestBeneficiariesItems - `UserId` (string, optional) — The unique identifier of the Natural User or Legal User declared as a beneficiary of the pay-in. ### Address_SubPropsRequired The postal address. - `AddressLine1` (string, required) — The first line of the address. - `City` (string, required) — The city of the address. - `PostalCode` (string, required) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. - `AddressLine2` (string, optional) — The second line of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. ### RecurringPayInRegistrationCardResponseCurrentStateCumulatedDebitedAmount Information about the cumulated debited funds amount. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationCardResponseCurrentStateCumulatedFeesAmount Information about the cumulated fees amount. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### FlowDescriptorResponseBeneficiariesItems - `UserId` (string, optional) — The unique identifier of the Natural User or Legal User declared as a beneficiary of the pay-in. ### Address The postal address. - `AddressLine1` (string, optional) — The first line of the address. - `AddressLine2` (string, optional) — The second line of the address. - `City` (string, optional) — The city of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. - `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### RecurringPayInRegistrationPayPalResponseCurrentStateCumulatedDebitedAmount Information about the cumulated debited funds amount. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationPayPalResponseCurrentStateCumulatedFeesAmount Information about the cumulated fees amount. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseCurrentStateCumulatedDebitedAmount The sum of the DebitedFunds amounts of the recurring pay-ins made for the registration. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationApplePayResponseCurrentStateCumulatedFeesAmount The sum of the Fees amounts of the recurring pay-ins made for the registration. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationGooglePayResponseCurrentStateCumulatedDebitedAmount The sum of the DebitedFunds amounts of the recurring pay-ins made for the registration. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### RecurringPayInRegistrationGooglePayResponseCurrentStateCumulatedFeesAmount The sum of the Fees amounts of the recurring pay-ins made for the registration. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ## Examples ### Card **Request** ```json { "body": { "AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK", "Billing": { "Address": { "AddressLine1": "6 rue de la Cité", "AddressLine2": "Appartement 3", "City": "Paris", "Country": "FR", "PostalCode": "75003", "Region": "île-de-France" }, "FirstName": "Alex", "LastName": "Smith" }, "CardId": "card_wt_HodULFWKVRMEecCa", "CreditedWalletId": "wlt_m_01KHXAHH2NA3AAMPGE1SJPHJDJ", "FirstTransactionDebitedFunds": { "Amount": 10000, "Currency": "EUR" }, "FirstTransactionFees": { "Amount": 1000, "Currency": "EUR" }, "FixedNextAmount": true, "FlowDescriptor": { "Beneficiaries": [ { "UserId": "user_m_02APAYTWSDYXHXN1FRTKX9WMA2" } ] }, "FractionedPayment": false, "Frequency": "Monthly", "Shipping": { "Address": { "AddressLine1": "6 rue de la Cité", "AddressLine2": "Appartement 3", "City": "Paris", "Country": "FR", "PostalCode": "75003", "Region": "île-de-France" }, "FirstName": "Alex", "LastName": "Smith" } } } ``` **Response** ```json { "AuthorId": "user_m_01JHX34N3Y9BCQP7KR9QWWETDQ", "Billing": { "Address": { "AddressLine1": "6 rue de la Cité", "AddressLine2": "Appartement 3", "City": "Paris", "Country": "FR", "PostalCode": "75003", "Region": "île-de-France" }, "FirstName": "Alex", "LastName": "Smith" }, "CardId": "card_m_UsklnOoXBWyyqhsN", "CreditedUserId": "user_m_01JHX34N3Y9BCQP7KR9QWWETDQ", "CreditedWalletId": "wlt_m_01JJ70WZ9JRAZ9GE0DA36Q84NQ", "CurrentState": { "CumulatedDebitedAmount": { "Amount": 0, "Currency": "EUR" }, "CumulatedFeesAmount": { "Amount": 0, "Currency": "EUR" }, "LastPayinId": null, "PayinsLinked": 0 }, "CycleNumber": null, "EndDate": null, "FirstTransactionDebitedFunds": { "Amount": 10000, "Currency": "EUR" }, "FirstTransactionFees": { "Amount": 500, "Currency": "EUR" }, "FixedNextAmount": true, "FlowDescriptor": { "Beneficiaries": [ { "UserId": "user_m_02APAYTWSDYXHXN1FRTKX9WMA2" } ], "FlowId": "flow_wt_97448e0a-5bc6-4b83-ac29-cdfcadf60a08" }, "FractionedPayment": false, "FreeCycles": 0, "Frequency": "Monthly", "Id": "recpayinreg_m_01JJP2KS2A47A0P7S7CEBQPHT9", "Migration": false, "NextTransactionDebitedFunds": null, "NextTransactionFees": null, "PaymentType": "CARD_DIRECT", "RecurringType": "CUSTOM", "ResultCode": null, "ResultMessage": null, "Shipping": { "Address": { "AddressLine1": "6 rue de la Cité", "AddressLine2": "Appartement 3", "City": "Paris", "Country": "FR", "PostalCode": "75003", "Region": "île-de-France" }, "FirstName": "Alex", "LastName": "Smith" }, "Status": "CREATED", "TotalAmount": null } ``` **SDK Code** ```python Card from pprint import pprint import mangopay mangopay.client_id='your-client-id' mangopay.apikey='your-api-key' from mangopay.api import APIRequest handler = APIRequest(sandbox=True) from mangopay.resources import NaturalUser, RecurringPayInRegistration from mangopay.utils import Money natural_user = NaturalUser.get('210513027') recurring_payin_registration = RecurringPayInRegistration( author_id = natural_user.id, card_id = '213857548', credited_wallet_id = '210514820', first_transaction_debited_funds = Money(amount=1000, currency='EUR'), first_transaction_fees = Money(amount=10, currency='EUR'), tag = 'Created using Mangopay Python SDK' ) create_recurring_payin_registration = recurring_payin_registration.save() pprint(create_recurring_payin_registration) ``` ```javascript Card const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let myRecurringRegistration = { PaymentType: 'CARD', ExecutionType: 'DIRECT', AuthorId: '146476890', CardId: '169687329', CreditedUserId: '146476890', CreditedWalletId: '148968396', FirstTransactionDebitedFunds: { Currency: 'EUR', Amount: 1000, }, FirstTransactionFees: { Currency: 'EUR', Amount: 10, }, Billing: { FirstName: 'Alex', LastName: 'Smith', Address: { AddressLine1: 'Rue des plantes', AddressLine2: 'The Oasis', City: 'Paris', Region: 'IDF', PostalCode: '75000', Country: 'FR', }, }, Shipping: { FirstName: 'Alex', LastName: 'Smith', Address: { AddressLine1: 'Rue des plantes', AddressLine2: 'The Oasis', City: 'Paris', Region: 'IDF', PostalCode: '75000', Country: 'FR', }, }, EndDate: 1698923634, Frequency: 'Monthly', FixedNextAmount: false, FractionedPayment: false, FreeCycles: 0, NextTransactionDebitedFunds: { Currency: 'EUR', Amount: 1000, }, NextTransactionFees: { Currency: 'EUR', Amount: 10, }, } const createRecurringRegistration = async (recurringRegistration) => { return await mangopay.PayIns.createRecurringPayment(recurringRegistration) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } createRecurringRegistration(myRecurringRegistration) ``` ```java Card import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.core.Money; import com.mangopay.core.enumerations.CurrencyIso; import com.mangopay.entities.RecurringPayment; public class CreateRecurringPayinRegistration { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); var userId = "user_m_01HT2NFK7Z2BRQNGNHMY30VVTT"; var cardId = "card_m_01HZ6YAQF4MR0VRQ06YG06SD99"; var walletId = "wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5"; RecurringPayment recurringPayinRegistration = new RecurringPayment(); recurringPayinRegistration.setAuthorId(userId); recurringPayinRegistration.setCardId(cardId); recurringPayinRegistration.setCreditedWalletId(walletId); recurringPayinRegistration.setFirstTransactionDebitedFunds(new Money()); recurringPayinRegistration.getFirstTransactionDebitedFunds().setAmount(1000); recurringPayinRegistration.getFirstTransactionDebitedFunds().setCurrency(CurrencyIso.EUR); recurringPayinRegistration.setFirstTransactionFees(new Money()); recurringPayinRegistration.getFirstTransactionFees().setAmount(0); recurringPayinRegistration.getFirstTransactionFees().setCurrency(CurrencyIso.EUR); RecurringPayment createRecurringPayinRegistration = mangopay.getPayInApi().createRecurringPayment(null, recurringPayinRegistration); Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(createRecurringPayinRegistration); System.out.println(prettyJson); } } ``` ```csharp Card using MangoPay.SDK; using MangoPay.SDK.Core.Enumerations; using MangoPay.SDK.Entities; using MangoPay.SDK.Entities.POST; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN"; var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3"; var cardId = "card_m_01J3049JBA2XPA7GC7GEFJRQG4"; var recurringPayInRegistration = new RecurringPayInRegistrationPostDTO { AuthorId = userId, CardId = cardId, CreditedUserId = userId, CreditedWalletId = walletId, FirstTransactionDebitedFunds = new Money { Amount = 5000, Currency = CurrencyIso.EUR }, FirstTransactionFees = new Money { Amount = 50, Currency = CurrencyIso.EUR }, Billing = new Billing { FirstName = "Joe", LastName = "Blogs", Address = new Address { AddressLine1 = "1 MangoPay Street", AddressLine2 = "The Loop", City = "Paris", Region = "Ile de France", PostalCode = "75001", Country = CountryIso.FR } }, Shipping = new Shipping { FirstName = "Joe", LastName = "Blogs", Address = new Address { AddressLine1 = "1 MangoPay Street", AddressLine2 = "The Loop", City = "Paris", Region = "Ile de France", PostalCode = "75001", Country = CountryIso.FR } }, EndDate = DateTime.Now.AddDays(365), Migration = true, NextTransactionDebitedFunds = new Money { Amount = 1000, Currency = CurrencyIso.EUR }, NextTransactionFees = new Money { Amount = 10, Currency = CurrencyIso.EUR }, Frequency = "Monthly", FixedNextAmount = true, FractionedPayment = false }; var createRecurringPayInRegistration = await api.PayIns.CreateRecurringPayInRegistration(recurringPayInRegistration); string prettyPrint = JsonConvert.SerializeObject(createRecurringPayInRegistration, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php Card Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $payIn = new \MangoPay\PayInRecurringRegistration(); $payIn->AuthorId = "user_m_01J2CBKKMQJ95BGHCW0A2F9DE1"; $payIn->CardId = "card_m_01J2CBM93A3R36V2T2HFC2RRW4"; $payIn->CreditedUserId = "user_m_01J2CBPBE80P5Z8BTY9GJWQTVM"; $payIn->CreditedWalletId = "wlt_m_01J2CBPWWRKK4G65X4MTBVNWPS"; $payIn->FirstTransactionDebitedFunds = new \MangoPay\Money(); $payIn->FirstTransactionDebitedFunds->Amount = 12; $payIn->FirstTransactionDebitedFunds->Currency = 'EUR'; $payIn->FirstTransactionFees = new \MangoPay\Money(); $payIn->FirstTransactionFees->Amount = 1; $payIn->FirstTransactionFees->Currency = 'EUR'; $adress = new \MangoPay\Address(); $adress->AddressLine1 = '4 rue de la Tour des Dames'; $adress->AddressLine2 = 'Mangopay office'; $adress->City = 'Paris'; $adress->Country = 'FR'; $adress->PostalCode = '75009'; $adress->Region = 'Île-de-France'; $billing = new \MangoPay\Billing(); $billing->FirstName = 'John'; $billing->LastName = 'Doe'; $billing->Address = $adress; $shipping = new \MangoPay\Shipping(); $shipping->FirstName = 'John'; $shipping->LastName = 'Doe'; $shipping->Address = $adress; $payIn->Shipping = $shipping; $payIn->Billing = $billing; $payIn->FreeCycles = 0; $response = $api->PayIns->CreateRecurringRegistration($payIn); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby Card require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def createRecurringRegistration(recurringRegistrationObject) begin response = MangoPay::PayIn::RecurringPayments::Recurring.create(recurringRegistrationObject) puts response return response rescue MangoPay::ResponseError => error puts "Failed to create recurring registration: #{error.message}" puts "Error details: #{error.details}" return false end end my_recurring_registration = { AuthorId: '146476890', CardId: '169687329', CreditedUserId: '146476890', CreditedWalletId: '148968396', FirstTransactionDebitedFunds: { Currency: 'EUR', Amount: 1000, }, FirstTransactionFees: { Currency: 'EUR', Amount: 10, }, Billing: { FirstName: 'Alex', LastName: 'Smith', Address: { AddressLine1: 'Rue des plantes', AddressLine2: 'The Oasis', City: 'Paris', Region: 'IDF', PostalCode: '75000', Country: 'FR', }, }, Shipping: { FirstName: 'Alex', LastName: 'Smith', Address: { AddressLine1: 'Rue des plantes', AddressLine2: 'The Oasis', City: 'Paris', Region: 'IDF', PostalCode: '75000', Country: 'FR', }, }, EndDate: 1698923634, Frequency: 'Monthly', FixedNextAmount: false, FractionedPayment: false, FreeCycles: 0, NextTransactionDebitedFunds: { Currency: 'EUR', Amount: 1000, }, NextTransactionFees: { Currency: 'EUR', Amount: 10, }, } createRecurringRegistration(my_recurring_registration) ``` ### Apple Pay **Request** ```json { "body": { "AuthorId": "user_m_01JERJEJAYP6NETHYZ3W9VKET4", "Billing": { "Address": { "AddressLine1": "123 Main Street", "AddressLine2": "Apt. 23", "City": "Paris", "Country": "FR", "PostalCode": "12345", "Region": "Île-de-France" }, "FirstName": "Mike", "LastName": "Smith" }, "CreditedUserId": "user_m_01JERJEJAYP6NETHYZ3W9VKET4", "CreditedWalletId": "wlt_m_01JERJF53QMJE1HHRV7GGDACGM", "EndDate": 1804156990, "FirstTransactionDebitedFunds": { "Amount": 20000, "Currency": "EUR" }, "FirstTransactionFees": { "
[...]
